package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.VideoGrowthMultiCover;
import com.tzld.piaoquan.api.model.po.contentplatform.VideoGrowthMultiCoverExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface VideoGrowthMultiCoverMapper {
    long countByExample(VideoGrowthMultiCoverExample example);

    int deleteByExample(VideoGrowthMultiCoverExample example);

    int deleteByPrimaryKey(Long id);

    int insert(VideoGrowthMultiCover record);

    int insertSelective(VideoGrowthMultiCover record);

    List<VideoGrowthMultiCover> selectByExample(VideoGrowthMultiCoverExample example);

    VideoGrowthMultiCover selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") VideoGrowthMultiCover record, @Param("example") VideoGrowthMultiCoverExample example);

    int updateByExample(@Param("record") VideoGrowthMultiCover record, @Param("example") VideoGrowthMultiCoverExample example);

    int updateByPrimaryKeySelective(VideoGrowthMultiCover record);

    int updateByPrimaryKey(VideoGrowthMultiCover record);
}